groovy.util

## Class ObservableList.ObservableListIterator

- java.lang.Object
- - groovy.util.ObservableList.ObservableIterator
  - - groovy.util.ObservableList.ObservableListIterator

- All Implemented Interfaces:
    java.util.Iterator, java.util.ListIterator
  Enclosing class:
    ObservableList

      protected class ObservableList.ObservableListIterator
      extends ObservableList.ObservableIterator
      implements java.util.ListIterator

- - ### Field Summary

    - ### Fields inherited from class groovy.util.ObservableList.ObservableIterator

      `cursor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObservableListIterator(java.util.ListIterator iterDelegate, int index)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.Object o)`
    `java.util.ListIterator` | `getListIterator()`
    `boolean` | `hasPrevious()`
    `int` | `nextIndex()`
    `java.lang.Object` | `previous()`
    `int` | `previousIndex()`
    `void` | `set(java.lang.Object o)`

    - ### Methods inherited from class groovy.util.ObservableList.ObservableIterator

      `getDelegate, hasNext, next, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.ListIterator

      `hasNext, next, remove`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### ObservableListIterator

          public ObservableListIterator(java.util.ListIterator iterDelegate,
                                        int index)

  - ### Method Detail

    - #### getListIterator

          public java.util.ListIterator getListIterator()

    - #### add

          public void add(java.lang.Object o)

      Specified by:
        `add` in interface `java.util.ListIterator`

    - #### hasPrevious

          public boolean hasPrevious()

      Specified by:
        `hasPrevious` in interface `java.util.ListIterator`

    - #### nextIndex

          public int nextIndex()

      Specified by:
        `nextIndex` in interface `java.util.ListIterator`

    - #### previous

          public java.lang.Object previous()

      Specified by:
        `previous` in interface `java.util.ListIterator`

    - #### previousIndex

          public int previousIndex()

      Specified by:
        `previousIndex` in interface `java.util.ListIterator`

    - #### set

          public void set(java.lang.Object o)

      Specified by:
        `set` in interface `java.util.ListIterator`